Skip to Content
🚀 Welcome to Humansoft Open API Documentation

Get Employee Family

ดึงข้อมูลสมาชิกครอบครัวของพนักงาน 1 รายการ

Endpoint

GET /api/v1/open-apis/employee/get-employee-profile?path_action=get-family

Query Parameters

ParameterTypeRequiredDescription
path_actionstringYesต้องเป็น get-family
employee_family_idstringYesID ของข้อมูลครอบครัว (Base64 encoded)

พารามิเตอร์ employee_family_id ต้องส่งเป็น Base64-encoded string


Response Format

Success Response

{ "code": 200, "message": "สำเร็จ", "payload": { "employee_family_id": "20260213A310C7812B2C", "employee_id": "20260121FC89F3BB9120", "relation_type": "04", "family_id_no": "1123456789012", "family_title_lv": "51", "family_name": "สมชาย", "family_last_name": "ใจดี", "family_birthday": "2010-05-15", "family_mobile": "0812345678", "family_email": "somchai@email.com", "family_address": "123/45 ถ.สุขุมวิท กรุงเทพฯ" } }

Response Fields

FieldTypeDescription
employee_family_idstringID ของข้อมูลครอบครัว
employee_idstringID ของพนักงาน
relation_typestringรหัสประเภทความสัมพันธ์
family_id_nostringเลขบัตรประชาชน
family_title_lvstringคำนำหน้าชื่อ
family_namestringชื่อ
family_last_namestringนามสกุล
family_birthdaystringวันเกิด (YYYY-MM-DD)
family_mobilestringเบอร์โทรศัพท์
family_emailstringอีเมล
family_addressstringที่อยู่

Error Response

{ "code": 400, "message": "ไม่สำเร็จ", "error": "Missing required parameter: employee_family_id" }

Code Examples

curl -X GET "https://openapi.humansoft.co.th/api/v1/open-apis/employee/get-employee-profile?path_action=get-family&employee_family_id=MjAyNjAyMTM3OEMwMjk2OTYwRkM=" \ -H "Ocp-Apim-Subscription-Key: YOUR_API_KEY"

  • List Family Members - ดึงรายการข้อมูลครอบครัวทั้งหมด
  • Add Family - เพิ่มข้อมูลครอบครัว
  • Update Family - แก้ไขข้อมูลครอบครัว
  • Delete Family - ลบข้อมูลครอบครัว
Last updated on